<?php
session_start();
ob_start();
$father = $_SESSION["user_id"] ;
include "dbPDO.php";
$ins_name       = $_POST['ins_name'];
$ins_owner      = $_POST['ins_owner'];
$boss           = $_POST['boss'];
$boss_jawal     = $_POST['boss_jawal'];
$repman         = $_POST['repman'];
$repjawal       = $_POST['repjawal'];
$repjawal2      = $_POST['repjawal2'];
$crash_man      = $_POST['crash_man'];
$crash_jawal    = $_POST["crash_jawal"];
$crash_jawal2   = $_POST["crash_jawal2"];
$phone          = $_POST['phone'];
$fax            = $_POST['fax'];
$address        = $_POST['address'];
$start_date     = $_POST['start_date'];
$comm           = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;
if(empty($ins_name) || empty($ins_owner))
{
  echo "  <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك  سجل اسم الشركة و اسم صاحب الشركة  ...!</b>
        </div>  ";
  exit();
}else{
  if(!empty($ins_name)){ $ins_name = htmlspecialchars(strip_tags($ins_name)) ;   }
  if(!empty($ins_owner)){ $ins_owner = htmlspecialchars(strip_tags($ins_owner)) ;   }
  if(!empty($boss)){ $boss = htmlspecialchars(strip_tags($boss)) ;   }
  if(!empty($boss_jawal)){
      if(!preg_match($Number,$boss_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $boss_jawal رقم غلط في جوال المدير</b>
      </div>
    ";
      exit();
    }
    if((strlen($boss_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>جوال المدير أقل من 10 أرقام</b>
      </div>
      ";
      exit();
    }
    if((strlen($boss_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
}
if(!empty($repman)){ $repman = htmlspecialchars(strip_tags($repman)) ;   }
if(!empty($repjawal)){
     if(!preg_match($Number,$repjawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $repjawal رقم غلط</b>
      </div> ";
      exit();
    }
    if((strlen($repjawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>مدير الحسابات</b>
      </div>
      ";
      exit();
    }
    if((strlen($repjawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($repjawal2)){
      if(!preg_match($Number,$repjawal2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $repjawal2 رقم جوال المحاسب خطأ</b>
        </div>
      ";
        exit();
      }
      if((strlen($repjawal2) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>مدير الحسابات</b>
        </div>
        ";
        exit();
      }
      if((strlen($repjawal2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($crash_man)){ $crash_man = htmlspecialchars(strip_tags($crash_man)) ;   }    
if(!empty($crash_jawal)){
    if(!preg_match($Number,$crash_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $crash_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($crash_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($crash_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($crash_jawal2)){
      if(!preg_match($Number,$crash_jawal2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $crash_jawal2 رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($crash_jawal2)< 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($crash_jawal2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($fax)){
      if(!preg_match($Number,$fax)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $fax رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($fax) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($fax) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($phone)){
      if(!preg_match($Number,$phone)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $phone رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($phone) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($phone) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($address)){ $address = htmlspecialchars(strip_tags($address)) ;   }    
if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }   
$sql =$db->prepare( "SELECT insurance_id , ins_name , ins_owner , phone FROM insurance WHERE ins_name = ? OR ins_owner = ? LIMIT 1");
$sql->bindParam(1,$ins_name);
$sql->bindParam(2,$ins_owner);
$sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $insurance_id  = $row["insurance_id"];
      $ins_name    = $row["ins_name"];
      $ins_owner    = $row["ins_owner"];
      $phone     = $row["phone"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات $ins_name  من قبل كود رقم $insurance_id ملك السيد $ins_owner رقم تليفون الشركة  $phone</b>
  </div>
  ";
  exit();
}else {
  $maxsql= $db->prepare("SELECT max(insurance_id) as maxd FROM insurance");
  $maxsql->execute();
  if($maxsql->rowCount()>0){$row = $maxsql->fetch(PDO::FETCH_ASSOC);
      $maxD = $row['maxd']+1;} else {$maxD = 1 ; }

  $sql = $db->prepare(" INSERT INTO insurance
  (insurance_id, ins_name, ins_owner, boss, boss_jawal, repman, repjawal,repjawal2 ,
  crash_man,  crash_jawal, crash_jawal2, fax, phone,address, start_date,comm ,father)
   VALUES (?, ?, ? , ? , ? , ? ,? , ? , ?, ? , ? , ? , ? ,? ,? , ? , ?)");
   $sql->bindParam(1,$maxD);
   $sql->bindParam(2,$ins_name);
   $sql->bindParam(3,$ins_owner);
   $sql->bindParam(4,$boss);
   $sql->bindParam(5,$boss_jawal);
   $sql->bindParam(6,$repman);
   $sql->bindParam(7,$repjawal);
   $sql->bindParam(8,$repjawal2);
   $sql->bindParam(9,$crash_man);
   $sql->bindParam(10,$crash_jawal);
   $sql->bindParam(11,$crash_jawal2);
   $sql->bindParam(12,$fax);
   $sql->bindParam(13,$phone);
   $sql->bindParam(14,$address);
   $sql->bindParam(15,$start_date);
   $sql->bindParam(16,$comm);
   $sql->bindParam(17,$father);
   if($sql->execute()){
    echo "
    <div class='alert alert-success'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>تم تسجيل بيانات الشركة بنجاح  .... </b>
    </div>
    <script>document.getElementById('new22').reset(); </script>
    ";}
  else{ echo "<div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
  </div>
  ";}
}
}
?>
